<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.work.mapper.CompanyMapper">
    
    <select id="selectList" resultType="com.ruoyi.web.work.domain.Company">
        select * from tb_company
        <where>  
            <if test="companyName != null  and companyName != ''"> and company_name like concat('%', #{companyName}, '%')</if>
            <if test="director != null  and director != ''"> and director = #{director}</if>
            <if test="email != null  and email != ''"> and email = #{email}</if>
            <if test="phone != null  and phone != ''"> and phone = #{phone}</if>
            <if test="address != null  and address != ''"> and address = #{address}</if>
            <if test="bankName != null  and bankName != ''"> and bank_name like concat('%', #{bankName}, '%')</if>
            <if test="bankAccount != null  and bankAccount != ''"> and bank_account = #{bankAccount}</if>
            <if test="b1 != null  and b1 != ''"> and b1 = #{b1}</if>
            <if test="business != null  and business != ''"> and business = #{business}</if>
            <if test="state != null "> and state = #{state}</if>
        </where>
    </select>

</mapper>